## BurnerBurnDialog

BurnerBurnDialog

## Functions

GtkWidget * | burner_burn_dialog_new ()
gboolean | burner_burn_dialog_run ()
gboolean | burner_burn_dialog_cancel ()

## Types and Values

| BurnerBurnDialog

## Description

## Functions

### burner_burn_dialog_new ()

    GtkWidget *
    burner_burn_dialog_new (void);

Creates a new BurnerBurnDialog object

#### Returns

a GtkWidget. Unref when it is not needed anymore.

### burner_burn_dialog_run ()

    gboolean
    burner_burn_dialog_run (BurnerBurnDialog *dialog,
                            BurnerBurnSession *session);

Start burning the contents of `session` .

#### Parameters

dialog | a BurnerBurnDialog |
session | a BurnerBurnSession |

#### Returns

a gboolean. TRUE if the operation was successfully carried out, FALSE otherwise.

### burner_burn_dialog_cancel ()

    gboolean
    burner_burn_dialog_cancel (BurnerBurnDialog *dialog,
                               gboolean force_cancellation);

Cancel the ongoing operation run by `dialog` ; if `force_cancellation` is FALSE then it can happen that the operation won't be cancelled if there is a risk to make a disc unusable.

#### Parameters

dialog | a BurnerBurnDialog |
force_cancellation | a gboolean |

#### Returns

a gboolean. TRUE if it was sucessfully cancelled, FALSE otherwise.

## Types and Values

### BurnerBurnDialog

    typedef struct {
    	GtkDialog parent;
    } BurnerBurnDialog;